microsoft-foundry.rest.security.o-auth2-auth
Evaluators
Get evaluator credentials
POST
/evaluators/{name}/versions/{version}/credentials
Retrieves SAS credentials for accessing the storage account associated with the specified evaluator version.
경로 매개 변수
name
string
필수
The name path parameter.
version
string
필수
The specific version id of the EvaluatorVersion to operate on.
쿼리 매개 변수
api-version
string
필수
The API version to use for this operation.
요청 본문
The credential request parameters
Content-Type: application/json
blob_uri
string
필수
The blob URI for the evaluator storage. Example: https://account.blob.core.windows.net:443/container
응답
The request has succeeded.
본문
Content-Type: application/json
blobReference
BlobReference
필수
Blob reference details.
blobUri
string
필수
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
필수
ARM ID of the storage account to use.
credential
SasCredential
필수
SAS Credential definition
sasUri
string
필수
SAS uri
type
enum
필수
Type of credential
SAS
요청
POST /evaluators/{name}/versions/{version}/credentials HTTP/1.1
응답
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json